url = ENV['REDIS_HOST']

if url.nil?
  sidekiq_configs = YAML.load_file(Rails.root.join('config').to_s.concat('/sidekiq.yml'))
  config = sidekiq_configs.fetch(Rails.env)
  url = "#{config['host']}:#{config['port']}"
end

redis_url = "redis://#{url}/0"

Sidekiq.configure_server do |c|
  c.redis = { url: redis_url }
end

Sidekiq.configure_client do |c|
  c.redis = { url: redis_url }
end
