class CreateDownloads < ActiveRecord::Migration[4.2]
  def change
    create_table :downloads do |t|
      t.references :downloadable, polymorphic: true, index: true

      t.references :user, index: true

      t.timestamps null: false
    end
    add_foreign_key :downloads, :users
  end
end
