namespace :portalmec do
  desc 'setup initial environment'
  task :setup do
    # runs db:drop db:create db:migrate
    Rake::Task['db:migrate:reset'].invoke
    Rake::Task['db:seed'].invoke

    Rake::Task['import:learning_object'].invoke
    Rake::Task['import:tag'].invoke
    # Rake::Task['tags:define_topics'].invoke
    # Rake::Task['tags:define_school_levels'].invoke
    Rake::Task['object_type:restart'].invoke
    Rake::Task['language:restart'].invoke

    Rake::Task['attachment:set_unknown'].invoke
    Rake::Task['thumbnail:create_missing'].invoke
  end
end
